Skip to main content
POST
/
workspace
/
{workspace_id}
/
import
Replace workspace content and configuration with imported archive
curl --request POST \
  --url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'password=<string>'
import requests

url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/import"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "password": "<string>" }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('password', '<string>');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "description": "<string>",
  "swagger": true,
  "documentation": {
    "require_token": true,
    "token": "<string>",
    "whitelist": {}
  },
  "branch": {
    "id": 123,
    "created_at": "<string>",
    "updated_at": "<string>",
    "description": "<string>",
    "label": "<string>",
    "backup": true,
    "color": "#ebc346",
    "parent_id": 123,
    "guid": "<string>",
    "is_service": true,
    "swagger": true,
    "workspace": {
      "id": 123
    },
    "user": {
      "id": 123,
      "name": "<string>",
      "email": "jsmith@example.com"
    },
    "history": {
      "function_enabled": true,
      "function_limit": 100,
      "middleware_enabled": true,
      "middleware_limit": 100,
      "query_enabled": true,
      "query_limit": 100,
      "task_enabled": true,
      "task_limit": 100,
      "tool_enabled": true,
      "tool_limit": 100,
      "trigger_enabled": true,
      "trigger_limit": 100
    },
    "middleware": {
      "function_pre": [
        {
          "name": "<string>",
          "as": "<string>",
          "context": {},
          "description": "<string>",
          "disabled": true,
          "mocks": {},
          "_xsid": "<string>",
          "input": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "settings_registry": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "output": {
            "customize": true,
            "filters": [
              {
                "name": "<string>",
                "disabled": true,
                "arg": [
                  {
                    "value": "<string>",
                    "tag": "input",
                    "filters": [
                      {
                        "name": "<string>",
                        "disabled": true,
                        "arg": [
                          {
                            "value": "<string>",
                            "tag": "input",
                            "filters": [
                              {}
                            ]
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ],
            "items": [
              {
                "name": "<string>",
                "children": [
                  {
                    "name": "<string>",
                    "children": [
                      {}
                    ]
                  }
                ]
              }
            ]
          },
          "addon": [
            {
              "id": {},
              "offset": "<string>",
              "as": "<string>",
              "children": [
                {
                  "id": {},
                  "offset": "<string>",
                  "as": "<string>",
                  "input": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "output": {
                    "customize": true,
                    "items": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  },
                  "children": [
                    {}
                  ]
                }
              ],
              "input": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {
                              "name": "<string>",
                              "disabled": true,
                              "arg": [
                                {
                                  "value": "<string>",
                                  "tag": "input",
                                  "filters": [
                                    {}
                                  ]
                                }
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ],
              "output": {
                "customize": true,
                "items": [
                  {
                    "name": "<string>",
                    "children": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  }
                ]
              }
            }
          ],
          "runtime": {
            "mode": "disabled",
            "cpu": "<string>",
            "memory": "<string>",
            "max_retry": 123,
            "timeout": 123
          }
        }
      ],
      "function_post": [
        {
          "name": "<string>",
          "as": "<string>",
          "context": {},
          "description": "<string>",
          "disabled": true,
          "mocks": {},
          "_xsid": "<string>",
          "input": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "settings_registry": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "output": {
            "customize": true,
            "filters": [
              {
                "name": "<string>",
                "disabled": true,
                "arg": [
                  {
                    "value": "<string>",
                    "tag": "input",
                    "filters": [
                      {
                        "name": "<string>",
                        "disabled": true,
                        "arg": [
                          {
                            "value": "<string>",
                            "tag": "input",
                            "filters": [
                              {}
                            ]
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ],
            "items": [
              {
                "name": "<string>",
                "children": [
                  {
                    "name": "<string>",
                    "children": [
                      {}
                    ]
                  }
                ]
              }
            ]
          },
          "addon": [
            {
              "id": {},
              "offset": "<string>",
              "as": "<string>",
              "children": [
                {
                  "id": {},
                  "offset": "<string>",
                  "as": "<string>",
                  "input": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "output": {
                    "customize": true,
                    "items": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  },
                  "children": [
                    {}
                  ]
                }
              ],
              "input": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {
                              "name": "<string>",
                              "disabled": true,
                              "arg": [
                                {
                                  "value": "<string>",
                                  "tag": "input",
                                  "filters": [
                                    {}
                                  ]
                                }
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ],
              "output": {
                "customize": true,
                "items": [
                  {
                    "name": "<string>",
                    "children": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  }
                ]
              }
            }
          ],
          "runtime": {
            "mode": "disabled",
            "cpu": "<string>",
            "memory": "<string>",
            "max_retry": 123,
            "timeout": 123
          }
        }
      ],
      "query_pre": [
        {
          "name": "<string>",
          "as": "<string>",
          "context": {},
          "description": "<string>",
          "disabled": true,
          "mocks": {},
          "_xsid": "<string>",
          "input": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "settings_registry": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "output": {
            "customize": true,
            "filters": [
              {
                "name": "<string>",
                "disabled": true,
                "arg": [
                  {
                    "value": "<string>",
                    "tag": "input",
                    "filters": [
                      {
                        "name": "<string>",
                        "disabled": true,
                        "arg": [
                          {
                            "value": "<string>",
                            "tag": "input",
                            "filters": [
                              {}
                            ]
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ],
            "items": [
              {
                "name": "<string>",
                "children": [
                  {
                    "name": "<string>",
                    "children": [
                      {}
                    ]
                  }
                ]
              }
            ]
          },
          "addon": [
            {
              "id": {},
              "offset": "<string>",
              "as": "<string>",
              "children": [
                {
                  "id": {},
                  "offset": "<string>",
                  "as": "<string>",
                  "input": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "output": {
                    "customize": true,
                    "items": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  },
                  "children": [
                    {}
                  ]
                }
              ],
              "input": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {
                              "name": "<string>",
                              "disabled": true,
                              "arg": [
                                {
                                  "value": "<string>",
                                  "tag": "input",
                                  "filters": [
                                    {}
                                  ]
                                }
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ],
              "output": {
                "customize": true,
                "items": [
                  {
                    "name": "<string>",
                    "children": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  }
                ]
              }
            }
          ],
          "runtime": {
            "mode": "disabled",
            "cpu": "<string>",
            "memory": "<string>",
            "max_retry": 123,
            "timeout": 123
          }
        }
      ],
      "query_post": [
        {
          "name": "<string>",
          "as": "<string>",
          "context": {},
          "description": "<string>",
          "disabled": true,
          "mocks": {},
          "_xsid": "<string>",
          "input": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "settings_registry": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "output": {
            "customize": true,
            "filters": [
              {
                "name": "<string>",
                "disabled": true,
                "arg": [
                  {
                    "value": "<string>",
                    "tag": "input",
                    "filters": [
                      {
                        "name": "<string>",
                        "disabled": true,
                        "arg": [
                          {
                            "value": "<string>",
                            "tag": "input",
                            "filters": [
                              {}
                            ]
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ],
            "items": [
              {
                "name": "<string>",
                "children": [
                  {
                    "name": "<string>",
                    "children": [
                      {}
                    ]
                  }
                ]
              }
            ]
          },
          "addon": [
            {
              "id": {},
              "offset": "<string>",
              "as": "<string>",
              "children": [
                {
                  "id": {},
                  "offset": "<string>",
                  "as": "<string>",
                  "input": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "output": {
                    "customize": true,
                    "items": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  },
                  "children": [
                    {}
                  ]
                }
              ],
              "input": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {
                              "name": "<string>",
                              "disabled": true,
                              "arg": [
                                {
                                  "value": "<string>",
                                  "tag": "input",
                                  "filters": [
                                    {}
                                  ]
                                }
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ],
              "output": {
                "customize": true,
                "items": [
                  {
                    "name": "<string>",
                    "children": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  }
                ]
              }
            }
          ],
          "runtime": {
            "mode": "disabled",
            "cpu": "<string>",
            "memory": "<string>",
            "max_retry": 123,
            "timeout": 123
          }
        }
      ],
      "task_pre": [
        {
          "name": "<string>",
          "as": "<string>",
          "context": {},
          "description": "<string>",
          "disabled": true,
          "mocks": {},
          "_xsid": "<string>",
          "input": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "settings_registry": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "output": {
            "customize": true,
            "filters": [
              {
                "name": "<string>",
                "disabled": true,
                "arg": [
                  {
                    "value": "<string>",
                    "tag": "input",
                    "filters": [
                      {
                        "name": "<string>",
                        "disabled": true,
                        "arg": [
                          {
                            "value": "<string>",
                            "tag": "input",
                            "filters": [
                              {}
                            ]
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ],
            "items": [
              {
                "name": "<string>",
                "children": [
                  {
                    "name": "<string>",
                    "children": [
                      {}
                    ]
                  }
                ]
              }
            ]
          },
          "addon": [
            {
              "id": {},
              "offset": "<string>",
              "as": "<string>",
              "children": [
                {
                  "id": {},
                  "offset": "<string>",
                  "as": "<string>",
                  "input": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "output": {
                    "customize": true,
                    "items": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  },
                  "children": [
                    {}
                  ]
                }
              ],
              "input": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {
                              "name": "<string>",
                              "disabled": true,
                              "arg": [
                                {
                                  "value": "<string>",
                                  "tag": "input",
                                  "filters": [
                                    {}
                                  ]
                                }
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ],
              "output": {
                "customize": true,
                "items": [
                  {
                    "name": "<string>",
                    "children": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  }
                ]
              }
            }
          ],
          "runtime": {
            "mode": "disabled",
            "cpu": "<string>",
            "memory": "<string>",
            "max_retry": 123,
            "timeout": 123
          }
        }
      ],
      "task_post": [
        {
          "name": "<string>",
          "as": "<string>",
          "context": {},
          "description": "<string>",
          "disabled": true,
          "mocks": {},
          "_xsid": "<string>",
          "input": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "settings_registry": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "output": {
            "customize": true,
            "filters": [
              {
                "name": "<string>",
                "disabled": true,
                "arg": [
                  {
                    "value": "<string>",
                    "tag": "input",
                    "filters": [
                      {
                        "name": "<string>",
                        "disabled": true,
                        "arg": [
                          {
                            "value": "<string>",
                            "tag": "input",
                            "filters": [
                              {}
                            ]
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ],
            "items": [
              {
                "name": "<string>",
                "children": [
                  {
                    "name": "<string>",
                    "children": [
                      {}
                    ]
                  }
                ]
              }
            ]
          },
          "addon": [
            {
              "id": {},
              "offset": "<string>",
              "as": "<string>",
              "children": [
                {
                  "id": {},
                  "offset": "<string>",
                  "as": "<string>",
                  "input": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "output": {
                    "customize": true,
                    "items": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  },
                  "children": [
                    {}
                  ]
                }
              ],
              "input": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {
                              "name": "<string>",
                              "disabled": true,
                              "arg": [
                                {
                                  "value": "<string>",
                                  "tag": "input",
                                  "filters": [
                                    {}
                                  ]
                                }
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ],
              "output": {
                "customize": true,
                "items": [
                  {
                    "name": "<string>",
                    "children": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  }
                ]
              }
            }
          ],
          "runtime": {
            "mode": "disabled",
            "cpu": "<string>",
            "memory": "<string>",
            "max_retry": 123,
            "timeout": 123
          }
        }
      ],
      "tool_pre": [
        {
          "name": "<string>",
          "as": "<string>",
          "context": {},
          "description": "<string>",
          "disabled": true,
          "mocks": {},
          "_xsid": "<string>",
          "input": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "settings_registry": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "output": {
            "customize": true,
            "filters": [
              {
                "name": "<string>",
                "disabled": true,
                "arg": [
                  {
                    "value": "<string>",
                    "tag": "input",
                    "filters": [
                      {
                        "name": "<string>",
                        "disabled": true,
                        "arg": [
                          {
                            "value": "<string>",
                            "tag": "input",
                            "filters": [
                              {}
                            ]
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ],
            "items": [
              {
                "name": "<string>",
                "children": [
                  {
                    "name": "<string>",
                    "children": [
                      {}
                    ]
                  }
                ]
              }
            ]
          },
          "addon": [
            {
              "id": {},
              "offset": "<string>",
              "as": "<string>",
              "children": [
                {
                  "id": {},
                  "offset": "<string>",
                  "as": "<string>",
                  "input": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "output": {
                    "customize": true,
                    "items": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  },
                  "children": [
                    {}
                  ]
                }
              ],
              "input": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {
                              "name": "<string>",
                              "disabled": true,
                              "arg": [
                                {
                                  "value": "<string>",
                                  "tag": "input",
                                  "filters": [
                                    {}
                                  ]
                                }
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ],
              "output": {
                "customize": true,
                "items": [
                  {
                    "name": "<string>",
                    "children": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  }
                ]
              }
            }
          ],
          "runtime": {
            "mode": "disabled",
            "cpu": "<string>",
            "memory": "<string>",
            "max_retry": 123,
            "timeout": 123
          }
        }
      ],
      "tool_post": [
        {
          "name": "<string>",
          "as": "<string>",
          "context": {},
          "description": "<string>",
          "disabled": true,
          "mocks": {},
          "_xsid": "<string>",
          "input": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "settings_registry": [
            {
              "name": "<string>",
              "value": "<string>",
              "tag": "input",
              "ignore": true,
              "expand": true,
              "children": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {}
                          ]
                        }
                      ]
                    }
                  ],
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {}
                  ]
                }
              ],
              "filters": [
                {
                  "name": "<string>",
                  "disabled": true,
                  "arg": [
                    {
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ]
            }
          ],
          "output": {
            "customize": true,
            "filters": [
              {
                "name": "<string>",
                "disabled": true,
                "arg": [
                  {
                    "value": "<string>",
                    "tag": "input",
                    "filters": [
                      {
                        "name": "<string>",
                        "disabled": true,
                        "arg": [
                          {
                            "value": "<string>",
                            "tag": "input",
                            "filters": [
                              {}
                            ]
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ],
            "items": [
              {
                "name": "<string>",
                "children": [
                  {
                    "name": "<string>",
                    "children": [
                      {}
                    ]
                  }
                ]
              }
            ]
          },
          "addon": [
            {
              "id": {},
              "offset": "<string>",
              "as": "<string>",
              "children": [
                {
                  "id": {},
                  "offset": "<string>",
                  "as": "<string>",
                  "input": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "output": {
                    "customize": true,
                    "items": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  },
                  "children": [
                    {}
                  ]
                }
              ],
              "input": [
                {
                  "name": "<string>",
                  "value": "<string>",
                  "tag": "input",
                  "ignore": true,
                  "expand": true,
                  "children": [
                    {
                      "name": "<string>",
                      "value": "<string>",
                      "tag": "input",
                      "filters": [
                        {
                          "name": "<string>",
                          "disabled": true,
                          "arg": [
                            {
                              "value": "<string>",
                              "tag": "input",
                              "filters": [
                                {}
                              ]
                            }
                          ]
                        }
                      ],
                      "ignore": true,
                      "expand": true,
                      "children": [
                        {}
                      ]
                    }
                  ],
                  "filters": [
                    {
                      "name": "<string>",
                      "disabled": true,
                      "arg": [
                        {
                          "value": "<string>",
                          "tag": "input",
                          "filters": [
                            {
                              "name": "<string>",
                              "disabled": true,
                              "arg": [
                                {
                                  "value": "<string>",
                                  "tag": "input",
                                  "filters": [
                                    {}
                                  ]
                                }
                              ]
                            }
                          ]
                        }
                      ]
                    }
                  ]
                }
              ],
              "output": {
                "customize": true,
                "items": [
                  {
                    "name": "<string>",
                    "children": [
                      {
                        "name": "<string>",
                        "children": [
                          {}
                        ]
                      }
                    ]
                  }
                ]
              }
            }
          ],
          "runtime": {
            "mode": "disabled",
            "cpu": "<string>",
            "memory": "<string>",
            "max_retry": 123,
            "timeout": 123
          }
        }
      ]
    },
    "defaults": {},
    "well_known": [
      {
        "enabled": true,
        "name": "<string>",
        "value": "<string>"
      }
    ],
    "documentation": {
      "require_token": true,
      "token": "<string>",
      "whitelist": {}
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
integer<int64>
required

Body

multipart/form-data
file
file
required
password
string

Response

Success!

id
integer<int64>
name
string
description
string
swagger
boolean
documentation
object
branch
object | null